org.infinispan.schematic.internal.schema

## Class JsonSchemaValidatorFactory

- java.lang.Object
- - org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory

- All Implemented Interfaces:
    Validator.Factory

      public class JsonSchemaValidatorFactory
      extends Object
      implements Validator.Factory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `JsonSchemaValidatorFactory.AllItemsMatchValidator` The `Validator` for item values that should all match a single schema.
    `protected static class` | `JsonSchemaValidatorFactory.AllowedPropertiesValidator`
    `protected static class` | `JsonSchemaValidatorFactory.CompositeValidator`
    `protected static class` | `JsonSchemaValidatorFactory.DisallowedTypesValidator`
    `protected static class` | `JsonSchemaValidatorFactory.DivisibleByValidator`
    `protected static class` | `JsonSchemaValidatorFactory.EachItemMatchesValidator` The `Validator` for "tuple typing", when item values should each match a corresponding schema or, if applicable, an additional items schema.
    `protected static class` | `JsonSchemaValidatorFactory.EnumValidator`
    `protected static class` | `JsonSchemaValidatorFactory.ExclusiveMaximumValidator`
    `protected static class` | `JsonSchemaValidatorFactory.ExclusiveMinimumValidator` Validation rule that states fails if the actual value is equal to or less than the minimum value.
    `protected static class` | `JsonSchemaValidatorFactory.ItemCountValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MaximumItemsValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MaximumLengthValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MaximumValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MinimumItemsValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MinimumLengthValidator`
    `protected static class` | `JsonSchemaValidatorFactory.MinimumValidator`
    `protected static class` | `JsonSchemaValidatorFactory.NoOtherAllowedPropertiesValidator`
    `protected static class` | `JsonSchemaValidatorFactory.NotValidValidator`
    `protected static class` | `JsonSchemaValidatorFactory.NumericValidator`
    `protected static class` | `JsonSchemaValidatorFactory.PatternPropertyValidator`
    `protected static class` | `JsonSchemaValidatorFactory.PatternValidator`
    `protected static class` | `JsonSchemaValidatorFactory.PropertyValidator`
    `protected static class` | `JsonSchemaValidatorFactory.RequiredValidator`
    `protected class` | `JsonSchemaValidatorFactory.ResolvingValidator`
    `protected static class` | `JsonSchemaValidatorFactory.SingleProblem`
    `protected class` | `JsonSchemaValidatorFactory.TypeValidator`
    `protected class` | `JsonSchemaValidatorFactory.UnionValidator`
    `protected static class` | `JsonSchemaValidatorFactory.UniqueItemsValidator`
    `protected static interface` | `JsonSchemaValidatorFactory.ValidatorCollection`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsonSchemaValidatorFactory(URI uri, Problems problems)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addValidatorsForDisallowedTypes(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForDivisibleBy(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForEnum(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForItems(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMaximum(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMaximumItems(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMaximumLength(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMinimum(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMinimumItems(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForMinimumLength(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForPattern(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForPatternProperties(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForProperties(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForRequired(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForTypes(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `protected void` | `addValidatorsForUniqueItems(Document parent, Path parentPath, Problems problems, JsonSchemaValidatorFactory.CompositeValidator validators)`
    `Validator` | `create(Document schemaDocument, Path pathToDoc)`
    `protected Validator` | `dereference(Document schemaDocument, Path pathToDoc, Problems problems)`
    `protected static JsonSchemaValidatorFactory.RequiredValidator` | `getRequiredValidator(Validator validator)`
    `protected static String` | `th(int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSchemaValidatorFactory

          protected JsonSchemaValidatorFactory(URI uri,
                                    Problems problems)

  - ### Method Detail

    - #### create

          public Validator create(Document schemaDocument,
                         Path pathToDoc)

      Specified by:
        `create` in interface `Validator.Factory`

    - #### dereference

          protected Validator dereference(Document schemaDocument,
                              Path pathToDoc,
                              Problems problems)

    - #### addValidatorsForTypes

          protected void addValidatorsForTypes(Document parent,
                                   Path parentPath,
                                   Problems problems,
                                   JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForProperties

          protected void addValidatorsForProperties(Document parent,
                                        Path parentPath,
                                        Problems problems,
                                        JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForPatternProperties

          protected void addValidatorsForPatternProperties(Document parent,
                                               Path parentPath,
                                               Problems problems,
                                               JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForItems

          protected void addValidatorsForItems(Document parent,
                                   Path parentPath,
                                   Problems problems,
                                   JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForRequired

          protected void addValidatorsForRequired(Document parent,
                                      Path parentPath,
                                      Problems problems,
                                      JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMinimum

          protected void addValidatorsForMinimum(Document parent,
                                     Path parentPath,
                                     Problems problems,
                                     JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMaximum

          protected void addValidatorsForMaximum(Document parent,
                                     Path parentPath,
                                     Problems problems,
                                     JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMinimumItems

          protected void addValidatorsForMinimumItems(Document parent,
                                          Path parentPath,
                                          Problems problems,
                                          JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMaximumItems

          protected void addValidatorsForMaximumItems(Document parent,
                                          Path parentPath,
                                          Problems problems,
                                          JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForUniqueItems

          protected void addValidatorsForUniqueItems(Document parent,
                                         Path parentPath,
                                         Problems problems,
                                         JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForPattern

          protected void addValidatorsForPattern(Document parent,
                                     Path parentPath,
                                     Problems problems,
                                     JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMinimumLength

          protected void addValidatorsForMinimumLength(Document parent,
                                           Path parentPath,
                                           Problems problems,
                                           JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForMaximumLength

          protected void addValidatorsForMaximumLength(Document parent,
                                           Path parentPath,
                                           Problems problems,
                                           JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForEnum

          protected void addValidatorsForEnum(Document parent,
                                  Path parentPath,
                                  Problems problems,
                                  JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForDivisibleBy

          protected void addValidatorsForDivisibleBy(Document parent,
                                         Path parentPath,
                                         Problems problems,
                                         JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### addValidatorsForDisallowedTypes

          protected void addValidatorsForDisallowedTypes(Document parent,
                                             Path parentPath,
                                             Problems problems,
                                             JsonSchemaValidatorFactory.CompositeValidator validators)

    - #### th

          protected static String th(int i)

    - #### getRequiredValidator

          protected static JsonSchemaValidatorFactory.RequiredValidator getRequiredValidator(Validator validator)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.